pkcs11h-token.h File Reference
Token interface

pkcs11-helper token interface. More...

Go to the source code of this file.

## Classes

struct | pkcs11h_token_id_list_s
| Token identifier list. More...

## Typedefs

typedef struct pkcs11h_token_id_list_s * | pkcs11h_token_id_list_t
| Token identifier list.

## Functions

CK_RV | pkcs11h_token_freeTokenId (IN pkcs11h_token_id_t token_id)
| Free token_id object.
CK_RV | pkcs11h_token_duplicateTokenId (OUT pkcs11h_token_id_t *const to, IN const pkcs11h_token_id_t from)
| Duplicate token_id object.
PKCS11H_BOOL | pkcs11h_token_sameTokenId (IN const pkcs11h_token_id_t a, IN const pkcs11h_token_id_t b)
| Returns TRUE if same token id.
CK_RV | pkcs11h_token_logout (IN const pkcs11h_token_id_t token_id)
| Force logout.
CK_RV | pkcs11h_token_login (IN const pkcs11h_token_id_t token_id, IN const PKCS11H_BOOL readonly, IN const char *const pin)
| Force login, avoid hooks.
CK_RV | pkcs11h_token_ensureAccess (IN const pkcs11h_token_id_t token_id, IN void *const user_data, IN const unsigned mask_prompt)
| Ensure token is accessible.
CK_RV | pkcs11h_token_freeTokenIdList (IN const pkcs11h_token_id_list_t token_id_list)
| Free certificate_id list.
CK_RV | pkcs11h_token_enumTokenIds (IN const unsigned method, OUT pkcs11h_token_id_list_t *const p_token_id_list)
| Enumerate available tokens.
CK_RV | pkcs11h_token_serializeTokenId (OUT char *const sz, IN OUT size_t *max, IN const pkcs11h_token_id_t token_id)
| Serialize token_id into string.
CK_RV | pkcs11h_token_deserializeTokenId (OUT pkcs11h_token_id_t *p_token_id, IN const char *const sz)
| Deserialize token_id from string.

## Detailed Description

pkcs11-helper token interface.

Author
  Alon Bar-Lev alon..nosp@m.barl.nosp@m.ev@gm.nosp@m.ail..nosp@m.com

See also
  Token interface.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |